Index: palm/trunk/SOURCE/netcdf_interface_mod.f90
===================================================================
--- palm/trunk/SOURCE/netcdf_interface_mod.f90	(revision 4742)
+++ palm/trunk/SOURCE/netcdf_interface_mod.f90	(revision 4792)
@@ -6917,10 +6394,8 @@
     IF ( PRESENT( fill ) )  THEN
        IF ( var_type == NF90_REAL4 )  THEN
-          nc_stat = NF90_PUT_ATT( ncid, var_id, '_FillValue',                  &
-                                  REAL( fill_value, KIND = 4 ) )
+          nc_stat = NF90_PUT_ATT( ncid, var_id, '_FillValue', REAL( fill_value, KIND = 4 ) )
           CALL netcdf_handle_error( 'netcdf_create_var', 0 )
        ELSE
-          nc_stat = NF90_PUT_ATT( ncid, var_id, '_FillValue',                  &
-                                  REAL( fill_value, KIND = 8 ) )
+          nc_stat = NF90_PUT_ATT( ncid, var_id, '_FillValue', REAL( fill_value, KIND = 8 ) )
           CALL netcdf_handle_error( 'netcdf_create_var', 0 )
        ENDIF
@@ -6931,9 +6406,9 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Write attributes to file.
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE netcdf_create_att_string( ncid, varid, name, value, err )
 
@@ -6947,4 +6422,5 @@
 
     INTEGER, INTENT(IN), OPTIONAL ::  varid  !< variable id
+
 
 #if defined( __netcdf )
@@ -6960,18 +6436,18 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Write a set of global attributes to file.
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE netcdf_create_global_atts( ncid, data_content, title, error_no )
 
-    USE control_parameters,                                                    &
+    USE control_parameters,                                                                        &
         ONLY:  revision, run_date, run_time, run_zone, runnr, version
 
-    USE netcdf_data_input_mod,                                                 &
+    USE netcdf_data_input_mod,                                                                     &
         ONLY:  input_file_atts
 
-    USE palm_date_time_mod,                                                    &
+    USE palm_date_time_mod,                                                                        &
         ONLY:  date_time_str_len, get_date_time
 
@@ -6985,4 +6461,5 @@
     INTEGER, INTENT(IN)  ::  error_no  !< error number
     INTEGER, INTENT(IN)  ::  ncid      !< file id
+
 !
 !-- Get date-time string for origin_time
@@ -6994,7 +6471,8 @@
     nc_stat = NF90_PUT_ATT( ncid, NF90_GLOBAL, 'Conventions', 'CF-1.7' )
     CALL netcdf_handle_error( 'netcdf_create_global_atts 2', error_no )
-    nc_stat = NF90_PUT_ATT( ncid, NF90_GLOBAL, 'creation_time', TRIM( run_date )//' '//TRIM( run_time )//' '//run_zone(1:3) )
+    nc_stat = NF90_PUT_ATT( ncid, NF90_GLOBAL, 'creation_time', TRIM( run_date ) // ' ' //         &
+                            TRIM( run_time ) // ' ' // run_zone(1:3) )
     CALL netcdf_handle_error( 'netcdf_create_global_atts 3', error_no )
-    nc_stat = NF90_PUT_ATT( ncid, NF90_GLOBAL, 'data_content', TRIM(data_content) )
+    nc_stat = NF90_PUT_ATT( ncid, NF90_GLOBAL, 'data_content', TRIM( data_content ) )
     CALL netcdf_handle_error( 'netcdf_create_global_atts 4', error_no )
     nc_stat = NF90_PUT_ATT( ncid, NF90_GLOBAL, 'version', runnr+1 )
@@ -7021,29 +6499,41 @@
     CALL netcdf_handle_error( 'netcdf_create_global_atts 14', error_no )
 
-    nc_stat = NF90_PUT_ATT( ncid, NF90_GLOBAL, TRIM( input_file_atts%author_char ), TRIM( input_file_atts%author ) )
+    nc_stat = NF90_PUT_ATT( ncid, NF90_GLOBAL, TRIM( input_file_atts%author_char ),                &
+                            TRIM( input_file_atts%author ) )
     CALL netcdf_handle_error( 'netcdf_create_global_atts 15', error_no )
-    nc_stat = NF90_PUT_ATT( ncid, NF90_GLOBAL, TRIM( input_file_atts%contact_person_char ), TRIM( input_file_atts%contact_person ) )
+    nc_stat = NF90_PUT_ATT( ncid, NF90_GLOBAL, TRIM( input_file_atts%contact_person_char ),        &
+                            TRIM( input_file_atts%contact_person ) )
     CALL netcdf_handle_error( 'netcdf_create_global_atts 16', error_no )
-    nc_stat = NF90_PUT_ATT( ncid, NF90_GLOBAL, TRIM( input_file_atts%institution_char ), TRIM( input_file_atts%institution ) )
+    nc_stat = NF90_PUT_ATT( ncid, NF90_GLOBAL, TRIM( input_file_atts%institution_char ),           &
+                            TRIM( input_file_atts%institution ) )
     CALL netcdf_handle_error( 'netcdf_create_global_atts 17', error_no )
-    nc_stat = NF90_PUT_ATT( ncid, NF90_GLOBAL, TRIM( input_file_atts%acronym_char ), TRIM( input_file_atts%acronym ) )
+    nc_stat = NF90_PUT_ATT( ncid, NF90_GLOBAL, TRIM( input_file_atts%acronym_char ),               &
+                            TRIM( input_file_atts%acronym ) )
     CALL netcdf_handle_error( 'netcdf_create_global_atts 18', error_no )
 
-    nc_stat = NF90_PUT_ATT( ncid, NF90_GLOBAL, TRIM( input_file_atts%campaign_char ), TRIM( input_file_atts%campaign ) )
+    nc_stat = NF90_PUT_ATT( ncid, NF90_GLOBAL, TRIM( input_file_atts%campaign_char ),              &
+                            TRIM( input_file_atts%campaign ) )
     CALL netcdf_handle_error( 'netcdf_create_global_atts 19', error_no )
-    nc_stat = NF90_PUT_ATT( ncid, NF90_GLOBAL, TRIM( input_file_atts%location_char ), TRIM( input_file_atts%location ) )
+    nc_stat = NF90_PUT_ATT( ncid, NF90_GLOBAL, TRIM( input_file_atts%location_char ),              &
+                            TRIM( input_file_atts%location ) )
     CALL netcdf_handle_error( 'netcdf_create_global_atts 20', error_no )
-    nc_stat = NF90_PUT_ATT( ncid, NF90_GLOBAL, TRIM( input_file_atts%site_char ), TRIM( input_file_atts%site ) )
+    nc_stat = NF90_PUT_ATT( ncid, NF90_GLOBAL, TRIM( input_file_atts%site_char ),                  &
+                            TRIM( input_file_atts%site ) )
     CALL netcdf_handle_error( 'netcdf_create_global_atts 21', error_no )
 
-    nc_stat = NF90_PUT_ATT( ncid, NF90_GLOBAL, 'source', TRIM( version )//' '//TRIM( revision ) )
+    nc_stat = NF90_PUT_ATT( ncid, NF90_GLOBAL, 'source', TRIM( version ) // ' ' //                 &
+                            TRIM( revision ) )
     CALL netcdf_handle_error( 'netcdf_create_global_atts 22', error_no )
-    nc_stat = NF90_PUT_ATT( ncid, NF90_GLOBAL, TRIM( input_file_atts%references_char ), TRIM( input_file_atts%references ) )
+    nc_stat = NF90_PUT_ATT( ncid, NF90_GLOBAL, TRIM( input_file_atts%references_char ),            &
+                            TRIM( input_file_atts%references ) )
     CALL netcdf_handle_error( 'netcdf_create_global_atts 23', error_no )
-    nc_stat = NF90_PUT_ATT( ncid, NF90_GLOBAL, TRIM( input_file_atts%keywords_char ), TRIM( input_file_atts%keywords ) )
+    nc_stat = NF90_PUT_ATT( ncid, NF90_GLOBAL, TRIM( input_file_atts%keywords_char ),              &
+                            TRIM( input_file_atts%keywords ) )
     CALL netcdf_handle_error( 'netcdf_create_global_atts 24', error_no )
-    nc_stat = NF90_PUT_ATT( ncid, NF90_GLOBAL, TRIM( input_file_atts%licence_char ), TRIM( input_file_atts%licence ) )
+    nc_stat = NF90_PUT_ATT( ncid, NF90_GLOBAL, TRIM( input_file_atts%licence_char ),               &
+                            TRIM( input_file_atts%licence ) )
     CALL netcdf_handle_error( 'netcdf_create_global_atts 25', error_no )
-    nc_stat = NF90_PUT_ATT( ncid, NF90_GLOBAL, TRIM( input_file_atts%comment_char ), TRIM( input_file_atts%comment ) )
+    nc_stat = NF90_PUT_ATT( ncid, NF90_GLOBAL, TRIM( input_file_atts%comment_char ),               &
+                            TRIM( input_file_atts%comment ) )
     CALL netcdf_handle_error( 'netcdf_create_global_atts 26', error_no )
 
@@ -7052,9 +6542,9 @@
  END SUBROUTINE netcdf_create_global_atts
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Create a variable holding the coordinate-reference-system information.
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE netcdf_create_crs( ncid, error_no )
 
@@ -7072,50 +6562,42 @@
 !
 !-- Set attributes
-    nc_stat = NF90_PUT_ATT( ncid, var_id, 'epsg_code', &
-                            coord_ref_sys%epsg_code )
+    nc_stat = NF90_PUT_ATT( ncid, var_id, 'epsg_code', coord_ref_sys%epsg_code )
     CALL netcdf_handle_error( 'netcdf_create_crs', error_no )
 
-    nc_stat = NF90_PUT_ATT( ncid, var_id, 'false_easting', &
-                            coord_ref_sys%false_easting )
+    nc_stat = NF90_PUT_ATT( ncid, var_id, 'false_easting', coord_ref_sys%false_easting )
     CALL netcdf_handle_error( 'netcdf_create_crs', error_no )
 
-    nc_stat = NF90_PUT_ATT( ncid, var_id, 'false_northing', &
-                            coord_ref_sys%false_northing )
+    nc_stat = NF90_PUT_ATT( ncid, var_id, 'false_northing', coord_ref_sys%false_northing )
     CALL netcdf_handle_error( 'netcdf_create_crs', error_no )
 
-    nc_stat = NF90_PUT_ATT( ncid, var_id, 'grid_mapping_name', &
-                            coord_ref_sys%grid_mapping_name )
+    nc_stat = NF90_PUT_ATT( ncid, var_id, 'grid_mapping_name', coord_ref_sys%grid_mapping_name )
     CALL netcdf_handle_error( 'netcdf_create_crs', error_no )
 
-    nc_stat = NF90_PUT_ATT( ncid, var_id, 'inverse_flattening', &
-                            coord_ref_sys%inverse_flattening )
+    nc_stat = NF90_PUT_ATT( ncid, var_id, 'inverse_flattening', coord_ref_sys%inverse_flattening )
     CALL netcdf_handle_error( 'netcdf_create_crs', error_no )
 
-    nc_stat = NF90_PUT_ATT( ncid, var_id, 'latitude_of_projection_origin', &
+    nc_stat = NF90_PUT_ATT( ncid, var_id, 'latitude_of_projection_origin',                         &
                             coord_ref_sys%latitude_of_projection_origin )
     CALL netcdf_handle_error( 'netcdf_create_crs', error_no )
 
-    nc_stat = NF90_PUT_ATT( ncid, var_id, 'long_name', &
-                            coord_ref_sys%long_name )
+    nc_stat = NF90_PUT_ATT( ncid, var_id, 'long_name', coord_ref_sys%long_name )
     CALL netcdf_handle_error( 'netcdf_create_crs', error_no )
 
-    nc_stat = NF90_PUT_ATT( ncid, var_id, 'longitude_of_central_meridian', &
+    nc_stat = NF90_PUT_ATT( ncid, var_id, 'longitude_of_central_meridian',                         &
                             coord_ref_sys%longitude_of_central_meridian )
     CALL netcdf_handle_error( 'netcdf_create_crs', error_no )
 
-    nc_stat = NF90_PUT_ATT( ncid, var_id, 'longitude_of_prime_meridian', &
+    nc_stat = NF90_PUT_ATT( ncid, var_id, 'longitude_of_prime_meridian',                           &
                             coord_ref_sys%longitude_of_prime_meridian )
     CALL netcdf_handle_error( 'netcdf_create_crs', error_no )
 
-    nc_stat = NF90_PUT_ATT( ncid, var_id, 'scale_factor_at_central_meridian', &
+    nc_stat = NF90_PUT_ATT( ncid, var_id, 'scale_factor_at_central_meridian',                      &
                             coord_ref_sys%scale_factor_at_central_meridian )
     CALL netcdf_handle_error( 'netcdf_create_crs', error_no )
 
-    nc_stat = NF90_PUT_ATT( ncid, var_id, 'semi_major_axis', &
-                            coord_ref_sys%semi_major_axis )
+    nc_stat = NF90_PUT_ATT( ncid, var_id, 'semi_major_axis', coord_ref_sys%semi_major_axis )
     CALL netcdf_handle_error( 'netcdf_create_crs', error_no )
 
-    nc_stat = NF90_PUT_ATT( ncid, var_id, 'units', &
-                            coord_ref_sys%units )
+    nc_stat = NF90_PUT_ATT( ncid, var_id, 'units', coord_ref_sys%units )
     CALL netcdf_handle_error( 'netcdf_create_crs', error_no )
 
@@ -7124,10 +6606,11 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Define UTM coordinates and longitude and latitude in file.
-!------------------------------------------------------------------------------!
- SUBROUTINE define_geo_coordinates( id_set, id_dim_x, id_dim_y, id_var_eutm, id_var_nutm, id_var_lat, id_var_lon )
+!--------------------------------------------------------------------------------------------------!
+ SUBROUTINE define_geo_coordinates( id_set, id_dim_x, id_dim_y, id_var_eutm, id_var_nutm,          &
+                                    id_var_lat, id_var_lon )
 
     IMPLICIT NONE
@@ -7143,4 +6626,5 @@
     INTEGER(iwp), DIMENSION(0:2), INTENT(OUT) ::  id_var_lon   !< variable id for longitude coordinates
     INTEGER(iwp), DIMENSION(0:2), INTENT(OUT) ::  id_var_nutm  !< variable id for N_UTM coordinates
+
 
 !
@@ -7155,45 +6639,59 @@
 !-- Define UTM coordinates
     IF ( rotation_angle == 0.0_wp )  THEN
-       CALL netcdf_create_var( id_set, (/ id_dim_x(0) /), 'E_UTM', NF90_DOUBLE, id_var_eutm(0), 'm', 'easting', 000, 000, 000 )
-       CALL netcdf_create_var( id_set, (/ id_dim_y(0) /), 'N_UTM', NF90_DOUBLE, id_var_nutm(0), 'm', 'northing', 000, 000, 000 )
-       CALL netcdf_create_var( id_set, (/ id_dim_x(1) /), 'Eu_UTM', NF90_DOUBLE, id_var_eutm(1), 'm', 'easting', 000, 000, 000 )
-       CALL netcdf_create_var( id_set, (/ id_dim_y(0) /), 'Nu_UTM', NF90_DOUBLE, id_var_nutm(1), 'm', 'northing', 000, 000, 000 )
-       CALL netcdf_create_var( id_set, (/ id_dim_x(0) /), 'Ev_UTM', NF90_DOUBLE, id_var_eutm(2), 'm', 'easting', 000, 000, 000 )
-       CALL netcdf_create_var( id_set, (/ id_dim_y(1) /), 'Nv_UTM', NF90_DOUBLE, id_var_nutm(2), 'm', 'northing', 000, 000, 000 )
+       CALL netcdf_create_var( id_set, (/ id_dim_x(0) /), 'E_UTM', NF90_DOUBLE, id_var_eutm(0),    &
+                               'm', 'easting', 000, 000, 000 )
+       CALL netcdf_create_var( id_set, (/ id_dim_y(0) /), 'N_UTM', NF90_DOUBLE, id_var_nutm(0),    &
+                               'm', 'northing', 000, 000, 000 )
+       CALL netcdf_create_var( id_set, (/ id_dim_x(1) /), 'Eu_UTM', NF90_DOUBLE, id_var_eutm(1),   &
+                               'm', 'easting', 000, 000, 000 )
+       CALL netcdf_create_var( id_set, (/ id_dim_y(0) /), 'Nu_UTM', NF90_DOUBLE, id_var_nutm(1),   &
+                               'm', 'northing', 000, 000, 000 )
+       CALL netcdf_create_var( id_set, (/ id_dim_x(0) /), 'Ev_UTM', NF90_DOUBLE, id_var_eutm(2),   &
+                               'm', 'easting', 000, 000, 000 )
+       CALL netcdf_create_var( id_set, (/ id_dim_y(1) /), 'Nv_UTM', NF90_DOUBLE, id_var_nutm(2),   &
+                               'm', 'northing', 000, 000, 000 )
     ELSE
-       CALL netcdf_create_var( id_set, (/ id_dim_x(0), id_dim_y(0) /), &
-                               'E_UTM', NF90_DOUBLE, id_var_eutm(0), 'm', 'easting', 000, 000, 000 )
-       CALL netcdf_create_var( id_set, (/ id_dim_x(0), id_dim_y(0) /), &
-                               'N_UTM', NF90_DOUBLE, id_var_nutm(0), 'm', 'northing', 000, 000, 000 )
-       CALL netcdf_create_var( id_set, (/ id_dim_x(1), id_dim_y(0) /), &
-                               'Eu_UTM', NF90_DOUBLE, id_var_eutm(1), 'm', 'easting', 000, 000, 000 )
-       CALL netcdf_create_var( id_set, (/ id_dim_x(1), id_dim_y(0) /), &
-                               'Nu_UTM', NF90_DOUBLE, id_var_nutm(1), 'm', 'northing', 000, 000, 000 )
-       CALL netcdf_create_var( id_set, (/ id_dim_x(0), id_dim_y(1) /), &
-                               'Ev_UTM', NF90_DOUBLE, id_var_eutm(2), 'm', 'easting', 000, 000, 000 )
-       CALL netcdf_create_var( id_set, (/ id_dim_x(0), id_dim_y(1) /), &
-                               'Nv_UTM', NF90_DOUBLE, id_var_nutm(2), 'm', 'northing', 000, 000, 000 )
+       CALL netcdf_create_var( id_set, (/ id_dim_x(0), id_dim_y(0) /),                             &
+                               'E_UTM', NF90_DOUBLE, id_var_eutm(0), 'm', 'easting',               &
+                               000, 000, 000 )
+       CALL netcdf_create_var( id_set, (/ id_dim_x(0), id_dim_y(0) /),                             &
+                               'N_UTM', NF90_DOUBLE, id_var_nutm(0), 'm', 'northing',              &
+                               000, 000, 000 )
+       CALL netcdf_create_var( id_set, (/ id_dim_x(1), id_dim_y(0) /),                             &
+                               'Eu_UTM', NF90_DOUBLE, id_var_eutm(1), 'm', 'easting',              &
+                               000, 000, 000 )
+       CALL netcdf_create_var( id_set, (/ id_dim_x(1), id_dim_y(0) /),                             &
+                               'Nu_UTM', NF90_DOUBLE, id_var_nutm(1), 'm', 'northing',             &
+                               000, 000, 000 )
+       CALL netcdf_create_var( id_set, (/ id_dim_x(0), id_dim_y(1) /),                             &
+                               'Ev_UTM', NF90_DOUBLE, id_var_eutm(2), 'm', 'easting',              &
+                               000, 000, 000 )
+       CALL netcdf_create_var( id_set, (/ id_dim_x(0), id_dim_y(1) /),                             &
+                               'Nv_UTM', NF90_DOUBLE, id_var_nutm(2), 'm', 'northing',             &
+                               000, 000, 000 )
     ENDIF
 !
 !-- Define geographic coordinates
-    CALL netcdf_create_var( id_set, (/ id_dim_x(0), id_dim_y(0) /), 'lon', NF90_DOUBLE, id_var_lon(0), &
-                            'degrees_east', 'longitude', 000, 000, 000 )
-    CALL netcdf_create_var( id_set, (/ id_dim_x(0), id_dim_y(0) /), 'lat', NF90_DOUBLE, id_var_lat(0), &
-                            'degrees_north', 'latitude', 000, 000, 000 )
-    CALL netcdf_create_var( id_set, (/ id_dim_x(1), id_dim_y(0) /), 'lonu', NF90_DOUBLE, id_var_lon(1), &
-                            'degrees_east', 'longitude', 000, 000, 000 )
-    CALL netcdf_create_var( id_set, (/ id_dim_x(1), id_dim_y(0) /), 'latu', NF90_DOUBLE, id_var_lat(1), &
-                            'degrees_north', 'latitude', 000, 000, 000 )
-    CALL netcdf_create_var( id_set, (/ id_dim_x(0), id_dim_y(1) /), 'lonv', NF90_DOUBLE, id_var_lon(2), &
-                            'degrees_east', 'longitude', 000, 000, 000 )
-    CALL netcdf_create_var( id_set, (/ id_dim_x(0), id_dim_y(1) /), 'latv', NF90_DOUBLE, id_var_lat(2), &
-                            'degrees_north', 'latitude', 000, 000, 000 )
+    CALL netcdf_create_var( id_set, (/ id_dim_x(0), id_dim_y(0) /), 'lon', NF90_DOUBLE,            &
+                            id_var_lon(0), 'degrees_east', 'longitude', 000, 000, 000 )
+    CALL netcdf_create_var( id_set, (/ id_dim_x(0), id_dim_y(0) /), 'lat', NF90_DOUBLE,            &
+                            id_var_lat(0), 'degrees_north', 'latitude', 000, 000, 000 )
+    CALL netcdf_create_var( id_set, (/ id_dim_x(1), id_dim_y(0) /), 'lonu', NF90_DOUBLE,           &
+                            id_var_lon(1), 'degrees_east', 'longitude', 000, 000, 000 )
+    CALL netcdf_create_var( id_set, (/ id_dim_x(1), id_dim_y(0) /), 'latu', NF90_DOUBLE,           &
+                            id_var_lat(1), 'degrees_north', 'latitude', 000, 000, 000 )
+    CALL netcdf_create_var( id_set, (/ id_dim_x(0), id_dim_y(1) /), 'lonv', NF90_DOUBLE,           &
+                            id_var_lon(2), 'degrees_east', 'longitude', 000, 000, 000 )
+    CALL netcdf_create_var( id_set, (/ id_dim_x(0), id_dim_y(1) /), 'latv', NF90_DOUBLE,           &
+                            id_var_lat(2), 'degrees_north', 'latitude', 000, 000, 000 )
 
     DO  i = 0, 2
-       CALL netcdf_create_att( id_set, id_var_eutm(i), 'standard_name', 'projection_x_coordinate', 000)
-       CALL netcdf_create_att( id_set, id_var_nutm(i), 'standard_name', 'projection_y_coordinate', 000)
-
-       CALL netcdf_create_att( id_set, id_var_lat(i), 'standard_name', 'latitude', 000)
-       CALL netcdf_create_att( id_set, id_var_lon(i), 'standard_name', 'longitude', 000)
+       CALL netcdf_create_att( id_set, id_var_eutm(i), 'standard_name', 'projection_x_coordinate', &
+                               000 )
+       CALL netcdf_create_att( id_set, id_var_nutm(i), 'standard_name', 'projection_y_coordinate', &
+                               000 )
+
+       CALL netcdf_create_att( id_set, id_var_lat(i), 'standard_name', 'latitude', 000 )
+       CALL netcdf_create_att( id_set, id_var_lon(i), 'standard_name', 'longitude', 000 )
     ENDDO
 
